libssh4-0.7.5-1.mga6.i586.rpm


Advertisement

Description

libssh4 - Main library for libssh

Property Value
Distribution Mageia 6.1
Repository Mageia Core i586
Package filename libssh4-0.7.5-1.mga6.i586.rpm
Package name libssh4
Package version 0.7.5
Package release 1.mga6
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.libssh.org
License LGPLv2.1+
Maintainer -
Download size 176.58 KB
Installed size 494.48 KB
The ssh library was designed to be used by programmers needing a working
SSH implementation by the mean of a library. The complete control of the
client is made by the programmer. With libssh, you can remotely execute
programs, transfer files, use a secure and transparent tunnel for your
remote programs. With its Secure FTP implementation, you can play with
remote files easily, without third-party programs others than libcrypto
(from openssl).

Alternatives

Package Version Architecture Repository
libssh4-0.7.7-1.mga6.i586.rpm 0.7.7 i586 Mageia Core Updates
libssh4 - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.2) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcrypt.so.20 -
libgcrypt.so.20(GCRYPT_1.6) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
libz.so.1 -

Provides

Name Value
libssh.so.4 -
libssh4 == 1:0.7.5-1.mga6
libssh4(x86-32) == 1:0.7.5-1.mga6
libssh_threads.so.4 -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libssh4-0.7.5-1.mga6.i586.rpm
Source Package libssh-0.7.5-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libssh4 rpm package:
    # urpmi libssh4

Files

Path
/usr/lib/libssh.so.4
/usr/lib/libssh.so.4.4.2
/usr/lib/libssh_threads.so.4
/usr/lib/libssh_threads.so.4.4.2

Changelog

2017-05-02 - luigiwalser <luigiwalser> 1:0.7.5-1.mga6
+ Revision: 1098253
- 0.7.5
2017-02-12 - luigiwalser <luigiwalser> 1:0.7.4-1.mga6
+ Revision: 1085836
- 0.7.4
2016-02-23 - pterjan <pterjan> 1:0.7.3-1.mga6
+ Revision: 977352
- Update to 0.7.3 (CVE-2016-0739)
2016-01-01 - luigiwalser <luigiwalser> 1:0.7.2-1.mga6
+ Revision: 917797
- 0.7.2
2015-09-10 - fwang <fwang> 1:0.6.5-2.mga6
+ Revision: 875366
- rebuild for new libgcrypt
2015-05-06 - luigiwalser <luigiwalser> 1:0.6.5-1.mga5
+ Revision: 821333
- 0.6.5 (fixes CVE-2015-3146)
- remove upstreamed patches
2015-01-05 - luigiwalser <luigiwalser> 1:0.6.4-1.mga5
+ Revision: 808703
- 0.6.4 (fixes CVE-2014-8132)
- add upstream patches to fix bug and build error
2014-10-15 - umeabot <umeabot> 1:0.6.3-3.mga5
+ Revision: 747112
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 1:0.6.3-2.mga5
+ Revision: 681798
- Mageia 5 Mass Rebuild

See Also

Package Description
libssr-glinject-0.3.8-3.mga6.i586.rpm A feature-rich screen recorder library
libsss_autofs-1.13.4-9.mga6.i586.rpm A library to allow communication between Autofs and SSSD
libsss_idmap-1.13.4-9.mga6.i586.rpm FreeIPA Idmap library
libsss_idmap-devel-1.13.4-9.mga6.i586.rpm FreeIPA Idmap library
libsss_nss_idmap-1.13.4-9.mga6.i586.rpm Library for SID based lookups
libsss_nss_idmap-devel-1.13.4-9.mga6.i586.rpm Library for SID based lookups
libsss_simpleifp-1.13.4-9.mga6.i586.rpm The SSSD D-Bus responder helper library
libsss_simpleifp-devel-1.13.4-9.mga6.i586.rpm The SSSD D-Bus responder helper library
libsss_sudo-1.13.4-9.mga6.i586.rpm A library to allow communication between SUDO and SSSD
libstarlink-ast-devel-7.3.1-5.mga6.i586.rpm Headers for developing programs that will use starlink-ast
libstarlink-ast0-7.3.1-5.mga6.i586.rpm A Library for Handling World Coordinate Systems in Astronomy
libstarlink-pal-devel-0.3.0-6.mga6.i586.rpm Headers for developing programs that will use starlink-pal
libstarlink-pal0-0.3.0-6.mga6.i586.rpm Positional Astronomy Library
libstaroffice-devel-0.0.3-5.mga6.i586.rpm Development files for libstaroffice
libstaroffice-doc-0.0.3-5.mga6.noarch.rpm Documentation of libstaroffice API
Advertisement
Advertisement